1. overdrive
Residentia REST API
  • Overview
  • location
    • /location
      GET
    • getLocationByLocationNumber
      GET
  • sensor
    • getSensorBySensorId
      GET
    • getSensorHistoryBySensorId
      GET
  • overdrive
    • setOverdriveSettings
      POST
    • getOverdriveSettings
      GET
    • getOneLocationOverdriveSettings
      GET
  • consumption_report
    • getMonthlyConsumption
      GET
    • getDailyConsumption
      GET
    • getDistrictHeating
      GET
    • specificEnergyConsumption
      GET
  • Schemas
    • Schemas
      • LocationItem
      • LocationSensorItem
      • SensorItem
      • SensorHistoryItem
      • HistoryData
      • OverdriveBody
      • Overdrive
      • OverdrivePostResponse
      • OverdriveGetResponse
      • MonthlyConsumptionItem
  1. overdrive

setOverdriveSettings

POST
https://residentia.fi/api/v1/overdrive

Request

Authorization
API Key
Add parameter in header
X-ApiKey
Example:
X-ApiKey: ********************
or
Body Params application/json

Example
{
    "data": [
        {
            "location_number": 10000001,
            "timestamp": 1649063971,
            "value": -10.5
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://residentia.fi/api/v1/overdrive' \
--header 'X-ApiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": [
        {
            "location_number": 10000001,
            "timestamp": 1649063971,
            "value": -10.5
        }
    ]
}'

Responses

🟢200OK
application/json
successful operation
Body

Example
[
    {
        "location_number": 10000001,
        "timestamp": 1649063971,
        "value": -10.5,
        "date": "2022-04-04T09:19:31.000Z",
        "status": "add [OR] update"
    }
]
🟠400Bad Request
🟠403Forbidden
🟠404Record Not Found
🟠429429
Modified at 2025-04-30 12:20:30
Previous
getSensorHistoryBySensorId
Next
getOverdriveSettings
Built with